Bug 758893 - group Inventory>Members subtab: user should not be able to update the membership of a dynamic group / dynagroup
group Inventory>Members subtab: user should not be able to update the members...
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
Unspecified Unspecified
medium Severity high (vote)
: ---
: RHQ 4.3.0
Assigned To: Mike Thompson
Mike Foley
Depends On:
Blocks: jon30-sprint9 rhq-uxd
  Show dependency treegraph
Reported: 2011-11-30 17:15 EST by Ian Springer
Modified: 2013-09-01 06:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-01 06:19:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-11-30 17:15:06 EST
The Update Membership button should not even be displayed for a dynagroup. We should also make sure our remote API does not allow a user to modify the membership of a dynagroup.
Comment 1 Ian Springer 2011-11-30 17:31:09 EST
Similarly, on the Resource Inventory>Groups subtab, we should not allow a user to add or remove dynagroups from the list of groups the Resource is a member of. The only way a Resource should be able to get in or out of a dynagroup is via calculation of a group definition expression.
Comment 2 Ian Springer 2011-12-01 14:04:12 EST
Similarly, on the Inventory>Members subtab for an autogroup, the Update Membership button is shown but is disabled (grayed out). Our convention in the new RHQ GUI is to disable a button if the user does not have authz for the corresponding action, and to not show the button at all if that action would never be applicable even for a superuser. So in this case, rather than disabling the Update Membership button, we should not be showing it at all.
Comment 3 Mike Thompson 2012-03-01 21:07:04 EST
I removed the Update Membership button for dynagroups and autogroups such they can only be updated via calculation of group definition expression.

Commit: 4553f0365fe298bdcf551fd08f102b855a224ac7
Comment 5 Heiko W. Rupp 2013-09-01 06:19:15 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.